typedef enum
{
  FMT_UNKNOWN,			/* unknown format */
  FMT_GIF,			/* GIF format */
  FMT_JFIF,			/* JFIF format */
  FMT_PPM,			/* PPM/PGM (PBMPLUS formats) */
  FMT_RLE,			/* RLE format */
  FMT_TARGA,			/* Targa format */
  FMT_TIFF			/* TIFF format */
} IMAGE_FORMATS;

typedef struct moh_files_hell
{
  char name[100];		/* for path information as well */
  IMAGE_FORMATS type;		/* image type */
  int selected;
} Files;
#define MaxWidth        800
#define VERSION         "1.1" 
#ifdef OLD_DRIVERS
#define PROGNAME "Jview"
#else
#define PROGNAME "Hiview"
#endif
#define MAXROWREAD      8
#define prints(x,y,a,args) {sprintf args;mr_prints(x,y,a,PB);}
/* to use prints, one would issue e.g. prints(x,y,attr,(PB,"hello %d\n",hell));
*/
#define MAXFILES                200	/* max files to allocate space for */
#define SC_HEADER	    3
#define SC_FOOTER		3
#define SC_HEIGHT		25
#define SC_WIDTH		80
#define SC_COLS			5
#define SC_COL_WIDTH	15
#define UP                      584
#define DOWN                    592
#define RIGHT                   589
#define LEFT                    587
#define ESC				27
#define RETURN			13
#define FILE_FCOLOR		LIGHTGRAY
#define FILE_BCOLOR             BLACK
#define BORDER_FCOLOR             BLACK
#define BORDER_BCOLOR             MAGENTA
#define MESSAGE_FCOLOR          LIGHTGRAY
#define MESSAGE_BCOLOR          BLACK
#define MESSAGE_HIGHLIGHT       RED
#define MESSAGE_HEADER          LIGHTBLUE
#define MAXDRIVE 4
#define MAXDIR  64
#define MAXFILE  10
#define MAXEXT   5
#ifndef EXIT_FAILURE
#define EXIT_FAILURE 1
#endif
#ifndef ulong
#define ulong unsigned long
#endif

#define InflateBase     19
#define ColorBase       22
#define BaseDiff        3	/* ColorBase-InflateBase */
